$(function () {

    var $statusFilter = $("#statusFilter");

    $(".RequestTitle").click(function (e) {
        var currentID = e.target.id;
        var descriptionID = currentID.replace('requestTitle', '#requestContent');
        $(descriptionID).slideToggle(300);
    });


    $statusFilter.change(function () {
            location.href = "?filter=" + $(this).val();
        }
    );


    $(".RequestStatus").change(function (e) {
        var requestId = e.target.id.replace('requestStatus', '');
        var status = $(this).val();
        var filter = $statusFilter.val();
        var $statusSelect = $(this);
        var $issue = $("#requestIssue".concat(requestId));
        $statusSelect.prop( "disabled", true );
        $.ajax({
            type: "POST",
            url: URLdir + "handler/RequestsProcessing/setStatus",
            data: {
                requestID: requestId,
                status: status
            },
            success: function (data) {
                data = $.parseJSON(data);
                if (data.success === true) {
                    EventInspector.success('Статус изменен!');
                }
                else {
                    EventInspector.error('Ошибка!');
                }
                $statusSelect.prop( "disabled", false );
            }
        });

        if (filter != 'all' && status != filter) {
            $issue.attr('style', 'border: 3px solid #B70400');
        }
        else {
            $issue.attr('style', '');
        }

    });

    $(".RefreshButton").click(function () {
        $(this).attr('class', 'fa fa-refresh fa-spin fa-md RefreshButton');
        $statusFilter.change();
    });
});
